# Uses of Class
org.apache.lucene.index.Sorter.DocMap

Packages that use Sorter.DocMap
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene102
Lucene 10.2 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of Sorter.DocMap in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs with parameters of type Sorter.DocMap
  Modifier and Type
  Method
  Description
  `void`
  BufferingKnnVectorsWriter.`flush(int maxDoc, Sorter.DocMap sortMap)`
  `abstract void`
  KnnVectorsWriter.`flush(int maxDoc, Sorter.DocMap sortMap)`
  Flush all buffered data on disk *
  `static void`
  KnnVectorsWriter.`mapOldOrdToNewOrd(DocsWithFieldSet oldDocIds, Sorter.DocMap sortMap, int[] old2NewOrd, int[] new2OldOrd, DocsWithFieldSet newDocsWithField)`
  Given old doc ids and an id mapping, maps old ordinal to new ordinal.

- ## Uses of Sorter.DocMap in org.apache.lucene.codecs.lucene102

  Methods in org.apache.lucene.codecs.lucene102 with parameters of type Sorter.DocMap
  Modifier and Type
  Method
  Description
  `void`
  Lucene102BinaryQuantizedVectorsWriter.`flush(int maxDoc, Sorter.DocMap sortMap)`

- ## Uses of Sorter.DocMap in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 with parameters of type Sorter.DocMap
  Modifier and Type
  Method
  Description
  `void`
  Lucene99FlatVectorsWriter.`flush(int maxDoc, Sorter.DocMap sortMap)`
  `void`
  Lucene99HnswVectorsWriter.`flush(int maxDoc, Sorter.DocMap sortMap)`
  `void`
  Lucene99ScalarQuantizedVectorsWriter.`flush(int maxDoc, Sorter.DocMap sortMap)`

- ## Uses of Sorter.DocMap in org.apache.lucene.index

  Methods in org.apache.lucene.index that return Sorter.DocMap
  Modifier and Type
  Method
  Description
  `Sorter.DocMap`
  MergePolicy.OneMerge.`reorder(CodecReader reader, Directory dir, Executor executor)`
  Extend this method if you wish to renumber doc IDs.
  Methods in org.apache.lucene.index with parameters of type Sorter.DocMap
  Modifier and Type
  Method
  Description
  `static org.apache.lucene.index.SortingCodecReader.SortingIteratorSupplier`
  SortingCodecReader.`iteratorSupplier(KnnVectorValues values, Sorter.DocMap docMap)`
  Creates a factory for SortingValuesIterator.
  `static CodecReader`
  SortingCodecReader.`wrap(CodecReader reader, Sorter.DocMap docMap, Sort sort)`
  Expert: same as `SortingCodecReader.wrap(org.apache.lucene.index.CodecReader, Sort)` but operates directly on a `Sorter.DocMap`.